{
  "name": "himp.platform.angular",
  "version": "0.0.0",
  "scripts": {
    "ng": "ng",
    "start": "ng s -o",
    "build": "npm run ng-high-memory build",
    "watch": "ng build --watch --configuration development",
    "test": "ng test",
    "ng-high-memory": "node --max_old_space_size=8000 ./node_modules/@angular/cli/bin/ng",
    "hmr": "ng s -o --hmr",
    "analyze": "npm run ng-high-memory build -- --source-map",
    "analyze:view": "source-map-explorer dist/**/*.js",
    "test-coverage": "ng test --code-coverage --watch=false",
    "color-less": "ng-alain-plugin-theme -t=colorLess",
    "theme": "ng-alain-plugin-theme -t=themeCss",
    "icon": "ng g ng-alain:plugin icon",
    "lint": "npm run lint:ts && npm run lint:style",
    "lint:ts": "ng lint --fix",
    "lint:style": "npx stylelint \"src/**/*.less\" --fix"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "^17.1.0",
    "@angular/common": "^17.1.0",
    "@angular/compiler": "^17.1.0",
    "@angular/core": "^17.1.0",
    "@angular/forms": "^17.1.0",
    "@angular/platform-browser": "^17.1.0",
    "@angular/platform-browser-dynamic": "^17.1.0",
    "@angular/router": "^17.1.0",
    "@aspnet/signalr": "^1.0.27",
    "@delon/abc": "^17.1.0",
    "@delon/acl": "^17.1.0",
    "@delon/auth": "^17.1.0",
    "@delon/cache": "^17.1.0",
    "@delon/chart": "^17.1.0",
    "@delon/form": "^17.1.0",
    "@delon/mock": "^17.1.0",
    "@delon/theme": "^17.1.0",
    "@delon/util": "^17.1.0",
    "@microsoft/signalr": "^8.0.0",
    "@microsoft/signalr-protocol-msgpack": "^8.0.0",
    "@types/signalr": "^2.4.3",
    "ag-grid-angular": "^31.0.2",
    "echarts": "^5.5.0",
    "moment": "^2.30.1",
    "mqtt": "^5.3.6",
    "ng-alain": "^17.1.0",
    "ng-zorro-antd": "^17.1.0",
    "ngx-mqtt": "^17.0.0",
    "rxjs": "~7.8.0",
    "screenfull": "^6.0.2",
    "tslib": "^2.3.0",
    "zone.js": "~0.14.3"
  },
  "devDependencies": {
    "@angular-devkit/build-angular": "^17.1.0",
    "@angular-eslint/builder": "^17.2.0",
    "@angular-eslint/eslint-plugin": "^17.2.0",
    "@angular-eslint/eslint-plugin-template": "^17.2.0",
    "@angular-eslint/schematics": "^17.2.0",
    "@angular-eslint/template-parser": "^17.2.0",
    "@angular/cli": "^17.1.0",
    "@angular/compiler-cli": "^17.1.0",
    "@angular/language-service": "^17.1.0",
    "@delon/testing": "^17.1.0",
    "@ng-util/monaco-editor": "^17.0.1",
    "@types/jasmine": "~5.1.0",
    "@typescript-eslint/eslint-plugin": "^6.19.0",
    "@typescript-eslint/parser": "^6.19.0",
    "eslint": "^8.56.0",
    "eslint-config-prettier": "~9.1.0",
    "eslint-plugin-deprecation": "~2.0.0",
    "eslint-plugin-import": "~2.29.1",
    "eslint-plugin-jsdoc": "~48.0.2",
    "eslint-plugin-prefer-arrow": "~1.2.3",
    "eslint-plugin-prettier": "~5.1.3",
    "jasmine-core": "~5.1.0",
    "karma": "~6.4.0",
    "karma-chrome-launcher": "~3.2.0",
    "karma-coverage": "~2.2.0",
    "karma-jasmine": "~5.1.0",
    "karma-jasmine-html-reporter": "~2.1.0",
    "lint-staged": "^15.2.0",
    "ng-alain": "^17.1.0",
    "ng-alain-plugin-theme": "^16.0.2",
    "ngx-tinymce": "^17.0.0",
    "prettier": "^3.2.4",
    "source-map-explorer": "^2.5.3",
    "stylelint": "^16.1.0",
    "stylelint-config-clean-order": "^5.4.0",
    "stylelint-config-standard": "^36.0.0",
    "stylelint-declaration-block-no-ignored-properties": "^2.8.0",
    "typescript": "~5.3.2"
  }
}
